Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.helpers
Class XSSFXmlColumnPr

    java.lang.Object
      org.apache.poi.xssf.usermodel.helpers.XSSFXmlColumnPr

    public class XSSFXmlColumnPr

extends java.lang.Object

This class is a wrapper around the CTXmlColumnPr (Open Office XML Part 4: chapter 3.5.1.7)

Author:
  Roberto Manicardi

Constructor Summary
`XSSFXmlColumnPr(Table table, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn ctTableColum, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTXmlColumnPr ctXmlColumnPr)`

Method Summary
`long` | `getId()` (see Open Office XML Part 4: chapter 3.5.1.3)
`java.lang.String` | `getLocalXPath()` If the XPath is, for example, /Node1/Node2/Node3 and /Node1/Node2 is the common XPath for the table, the local XPath is /Node3
`long` | `getMapId()`
`org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType.Enum` | `getXmlDataType()`
`java.lang.String` | `getXPath()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFXmlColumnPr

    public XSSFXmlColumnPr(Table table,
                           org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn ctTableColum,
                           org.openxmlformats.schemas.spreadsheetml.x2006.main.CTXmlColumnPr ctXmlColumnPr)

Method Detail

### getMapId

    public long getMapId()

### getXPath

    public java.lang.String getXPath()

### getId

    public long getId()

  (see Open Office XML Part 4: chapter 3.5.1.3)

  Returns:
    An integer representing the unique identifier of this column.

### getLocalXPath

    public java.lang.String getLocalXPath()

  If the XPath is, for example, /Node1/Node2/Node3 and /Node1/Node2 is the common XPath for the table, the local XPath is /Node3

  Returns:
    the local XPath

### getXmlDataType

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType.Enum getXmlDataType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.